> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SeeDreamV5 Lite Image Generation

> Generate images using Volcengine SeeDream V5 Lite model



## OpenAPI

````yaml /api-reference/image/openapi.json post /v1/images/seedreamv5
openapi: 3.0.3
info:
  title: Images Service API
  description: >-
    AI Image Generation Service API - Provides various AI model image
    generation, task query and history record functions
  version: 1.0.0
  contact:
    name: API Support
servers:
  - url: https://api.tensorslab.com
    description: Development environment
security: []
tags:
  - name: Image Generation
    description: Image generation related interfaces
  - name: Task Management
    description: Task management related interfaces
paths:
  /v1/images/seedreamv5:
    post:
      tags:
        - Image Generation
      summary: SeeDreamV5 Lite Image Generation
      description: Generate images using Volcengine SeeDream V5 Lite model
      operationId: seeDreamV5
      requestBody:
        required: false
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                category:
                  type: string
                  description: Category identifier, default is seedreamv5
                  default: seedreamv5
                prompt:
                  type: string
                  description: Prompt (required)
                batchsize:
                  type: integer
                  description: Batch generation quantity, 1-15
                  minimum: 1
                  maximum: 15
                  default: 1
                resolution:
                  type: string
                  description: Image resolution.
                  example: 2K
                  default: 2K
                sourceImage:
                  type: array
                  items:
                    type: string
                    format: binary
                  description: Source image file
                imageUrl:
                  type: string
                  description: Source image URL
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GeneralResponse:
      type: object
      description: General response
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/GeneralData'
          required:
            - data
    BaseResponse:
      type: object
      description: Base response structure
      properties:
        code:
          type: integer
          description: >-
            Response status code: 1000=Success, 9999=Failure, 9000=Insufficient
            Credits
        msg:
          type: string
          description: Response message
      required:
        - code
        - msg
    GeneralData:
      type: object
      description: General data response
      properties:
        taskid:
          type: string
          description: Task ID, used for subsequent task status query
        url:
          type: string
          description: Generated image URL (returned by some interfaces)
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API Key authentication, please include the Authorization field in the
        request header

````